Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Interface ITransferDropTargetListener

All Superinterfaces:
  DropTargetListener, java.util.EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  SelectionDropAdapter, TransferDropTargetAdapter

    public interface ITransferDropTargetListener

extends DropTargetListener

Interface to be implemented by providers of transfer agents that are used by the drop target within drag/drop operations.

Method Summary
`boolean` `canSupport(DropTargetEvent event)` Returns whether the drop operation for the current drop event is supported by this listener.
`ITransferAgent` `getTransferAgent()` Returns the transfer agent associated with this transfer listener.
`void` `init(IDropTargetContext context)` Initializes this transfer drop target listener with the drop target context that provides the target and location information during the drag/drop operation.

Methods inherited from interface org.eclipse.swt.dnd.DropTargetListener
`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept`

Method Detail

### getTransferAgent

    ITransferAgent getTransferAgent()

  Returns the transfer agent associated with this transfer listener.

  Returns:
    ITransferAgent associated with this transfer listener

### init

    void init(IDropTargetContext context)

  Initializes this transfer drop target listener with the drop target context that provides the target and location information during the drag/drop operation.

  Parameters:
    `context` - the drop target context

### canSupport

    boolean canSupport(DropTargetEvent event)

  Returns whether the drop operation for the current drop event is supported by this listener. This listener will have access to the `IDropActionContext` and the current drop target listener when this method is invoked.

  Parameters:
    `event` - The drop target event
  Returns:
    true if can support, false otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.